"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const item_1 = __importDefault(require("./item"));
const documents_1 = __importDefault(require("./documents"));
const partition_key_ranges_1 = __importDefault(require("./partition-key-ranges"));
const user_defined_functions_1 = __importDefault(require("./user-defined-functions"));
class Collection extends item_1.default {
    constructor(data) {
        super(data);
        this.documents = new documents_1.default(this, ((data || {}).partitionKey || {}).paths || ["/id"], (((data || {}).uniqueKeyPolicy || {}).uniqueKeys || []).reduce((accum, v) => {
            v.paths.forEach(path => accum.push(path));
            return accum;
        }, []));
        this.partitionKeyRanges = new partition_key_ranges_1.default(this, ["/id"]);
        this.userDefinedFunctions = new user_defined_functions_1.default(this);
        if (data) {
            this.partitionKeyRanges.create({
                id: 0,
                minInclusive: "",
                maxExclusive: "FF",
                ridPrefix: 0,
                throughputFraction: 1,
                status: "online",
                parents: []
            });
        }
    }
    document(idOrRid, partition) {
        return this.documents._item("/id", idOrRid, partition);
    }
    userDefinedFunction(idOrRid) {
        return this.userDefinedFunctions._item("/id", idOrRid, idOrRid);
    }
}
exports.default = Collection;
