"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable class-methods-use-this, no-bitwise, no-underscore-dangle, no-use-before-define */
const collection_1 = __importDefault(require("./collection"));
const items_1 = __importDefault(require("./items"));
const resource_id_1 = __importDefault(require("./resource-id"));
class Collections extends items_1.default {
    _set(data) {
        const indexingPolicy = data.indexingPolicy || {};
        const compositeIndexes = indexingPolicy.compositeIndexes
            ? indexingPolicy.compositeIndexes.map((indexes) => 
            // set default order
            indexes.map(index => ({ order: "ascending", ...index })))
            : undefined;
        const _data = {
            geospatialConfig: {},
            ...data,
            indexingPolicy: {
                ...indexingPolicy,
                indexingMode: (indexingPolicy.indexingMode || "consistent").toLowerCase(),
                compositeIndexes
            }
        };
        return super._set(_data);
    }
    _newItem(data) {
        return new collection_1.default(data);
    }
    _rid(id) {
        const database = this._parent.read();
        const idString = (id | 0x80000000).toString();
        return resource_id_1.default.newDocumentCollectionId(database._rid, idString).toString();
    }
    _self(rid) {
        const parent = this._parent.read();
        if (!parent) {
            throw new Error("parent is missing");
        }
        return `${parent._self}/colls/${rid}`;
    }
}
exports.default = Collections;
