import query from "@zeit/cosmosdb-query";
import LRU from "lru-cache";
import ItemObject from "./item-object";
import Item from "./item";
import { PartitionValue } from "../types";
type Query = ReturnType<typeof query>;
export default class Items<P extends Item, I extends Item> {
    _parent: P;
    _data: Map<string, I>;
    _index: Map<string, string>;
    _ridCount: number;
    _queryCache: LRU<string, Query>;
    _partitionKeyPath: string[];
    _uniqueKeyPaths: string[];
    constructor(parent: P, partitionKeyPath: string[], uniqueKeyPaths?: string[]);
    create(data: {
        [x: string]: any;
    }): ItemObject;
    delete(idOrRid: string, partition: PartitionValue): void;
    query(params: {
        query: string;
        parameters?: {
            name: string;
            value: any;
        }[];
    }, { maxItemCount, continuation }: {
        maxItemCount?: number | null;
        continuation?: {
            token: string;
        } | null;
    }): any;
    read({ maxItemCount, continuation }?: {
        maxItemCount?: number | null;
        continuation?: {
            token: string;
        } | null;
    }): any;
    replace(data: {
        [x: string]: any;
    }, original: {
        [x: string]: any;
    }): ItemObject;
    upsert(data: {
        [x: string]: any;
    }): ItemObject;
    _item(keyPath: string, keyPathValue: string, partition: PartitionValue): I;
    _newItem(data?: ItemObject): I;
    _rid(id: number): string;
    _self(rid: string): string;
    _set(data: ItemObject): ItemObject;
    _toRid(keyPath: string, keyPathValueOrRid: string, partition: PartitionValue): string;
    _userDefinedFunctions(): {
        [x: string]: any;
    } | undefined | null;
    _getQuery(sql: string): Query;
    _getId(keyPath: string, id: string, partition: PartitionValue): string;
    _getPartition(data: {
        [x: string]: any;
    }): PartitionValue;
    _getPartitionKeyPath(): string[];
}
export {};
