"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const items_1 = __importDefault(require("./items"));
const partition_key_range_1 = __importDefault(require("./partition-key-range"));
const resource_id_1 = __importDefault(require("./resource-id"));
class PartitionKeyRanges extends items_1.default {
    _newItem(data) {
        return new partition_key_range_1.default(data);
    }
    _rid(id) {
        const idBuffer = Buffer.alloc(8, 0);
        idBuffer.writeInt32LE(id, 0);
        idBuffer.writeInt8(resource_id_1.default.PartitionKeyRangeByte << 4, 7);
        const idString = resource_id_1.default.bigNumberReadIntBE(idBuffer, 0, 8).toString();
        const collection = this._parent.read();
        const rid = resource_id_1.default.parse(collection._rid);
        rid.partitionKeyRange = idString;
        return rid.toString();
    }
    _self(rid) {
        const parent = this._parent.read();
        if (!parent) {
            throw new Error("parent is missing");
        }
        return `${parent._self}/pkranges/${rid}`;
    }
}
exports.default = PartitionKeyRanges;
