/// <reference types="node" />
import BigInt from "big-integer";
export declare const EMPTY = "0";
export default class ResourceId {
    static Length: number;
    static OfferIdLength: number;
    static DocumentByte: number;
    static StoredProcedureByte: number;
    static TriggerByte: number;
    static UserDefinedFunctionByte: number;
    static ConflictByte: number;
    static PartitionKeyRangeByte: number;
    offer: string;
    database: string;
    documentCollection: string;
    storedProcedure: string;
    trigger: string;
    userDefinedFunction: string;
    document: string;
    partitionKeyRange: string;
    user: string;
    conflict: string;
    permission: string;
    attachment: string;
    constructor();
    static parse(id: string): ResourceId;
    static newDatabaseId(dbId: string): ResourceId;
    static newDocumentCollectionId(databaseId: string, collectionId: string): ResourceId;
    static newUserId(databaseId: string, userId: string): ResourceId;
    static newPermissionId(userId: string, permissionId: string): ResourceId;
    static newAttachmentId(documentId: string, attachmentId: string): ResourceId;
    static tryParse(id: string): [boolean, ResourceId];
    static verify(id: string): [boolean, Buffer];
    static verifyBool(id: string): boolean;
    static fromBase64String(s: string): Buffer;
    static toBase64String(buffer: Buffer): string;
    static bigNumberReadIntBE(buffer: Buffer, offset: number, byteLength: number): BigInt.BigInteger;
    isDatabaseId(): boolean;
    getDatabaseId(): ResourceId;
    getDocumentCollectionId(): ResourceId;
    getUniqueDocumentCollectionId(): string;
    getStoredProcedureId(): ResourceId;
    getTriggerId(): ResourceId;
    getUserDefinedFunctionId(): ResourceId;
    getConflictId(): ResourceId;
    getDocumentId(): ResourceId;
    getPartitonKeyRangeId(): ResourceId;
    getUserId(): ResourceId;
    getPermissionId(): ResourceId;
    getAttachmentId(): ResourceId;
    getOfferId(): ResourceId;
    getValue(): Buffer;
    toString(): string;
}
