"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_1 = __importDefault(require("../json"));
exports.default = async (account, req, res) => {
    const body = await (0, json_1.default)(req);
    if (!body.id) {
        res.statusCode = 400;
        return { message: "missing id" };
    }
    if (account.database(body.id).read()) {
        res.statusCode = 409;
        return { message: "conflict" };
    }
    res.statusCode = 201;
    return account.databases.create(body);
};
