"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _document_operations_1 = require("./_document-operations");
const get_partition_from_header_1 = __importDefault(require("../utils/get-partition-from-header"));
exports.default = (account, req, res, { dbId, collId, docId }) => {
    const collection = account.database(dbId).collection(collId);
    const partitionKey = (0, get_partition_from_header_1.default)(req);
    const result = (0, _document_operations_1.deleteOperation)(collection, {
        partitionKey,
        ifMatch: req.headers["if-match"],
        id: docId
    });
    res.statusCode = result.statusCode;
    return result.body;
};
