"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _read_items_1 = __importDefault(require("./_read-items"));
const json_1 = __importDefault(require("../json"));
exports.default = async (account, req, res, { dbId, collId }) => (0, _read_items_1.default)(req, res, "UserDefinedFunctions", async ({ continuation, maxItemCount }) => {
    const body = await (0, json_1.default)(req);
    if (!body.query) {
        res.statusCode = 400;
        return { message: "missing query" };
    }
    const collection = account.database(dbId).collection(collId);
    return collection.userDefinedFunctions.query(body, {
        continuation,
        maxItemCount
    });
});
