"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = async (account, req, res, { dbId, collId }) => {
    const coll = account
        .database(dbId)
        .collection(collId)
        .read();
    if (!coll) {
        res.statusCode = 404;
        return {};
    }
    res.setHeader("x-ms-documentdb-collection-index-transformation-progress", "-1");
    if (coll.indexingPolicy && coll.indexingPolicy.indexingMode === "lazy") {
        res.setHeader("x-ms-documentdb-collection-lazy-indexing-progress", "-1");
    }
    return coll;
};
