"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _document_operations_1 = require("./_document-operations");
const json_1 = __importDefault(require("../json"));
const get_partition_from_header_1 = __importStar(require("../utils/get-partition-from-header"));
exports.default = async (account, req, res, { dbId, collId, docId }) => {
    const body = await (0, json_1.default)(req);
    const collection = account.database(dbId).collection(collId);
    const partitionKey = (0, get_partition_from_header_1.default)(req);
    const parsedPartitionKey = (0, get_partition_from_header_1.parsePartitionKey)(partitionKey, docId);
    const data = collection.document(docId, parsedPartitionKey).read();
    if (!data) {
        res.statusCode = 404;
        return {};
    }
    const result = (0, _document_operations_1.replaceOperation)(collection, {
        partitionKey,
        ifMatch: req.headers["if-match"],
        resourceBody: body
    });
    res.statusCode = result.statusCode;
    return result.body;
};
