"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_1 = __importDefault(require("../json"));
exports.default = async (account, req, res, { dbId, collId, udfId }) => {
    const body = await (0, json_1.default)(req);
    if (!body.id) {
        res.statusCode = 400;
        return { message: "missing id" };
    }
    const collection = account.database(dbId).collection(collId);
    const data = collection.userDefinedFunction(udfId).read();
    if (!data) {
        res.statusCode = 404;
        return {};
    }
    try {
        return collection.userDefinedFunctions.replace(body);
    }
    catch (err) {
        if (err.badRequest) {
            res.statusCode = 400;
            return { message: err.message };
        }
        throw err;
    }
};
