"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const json_1 = __importDefault(require("../json"));
exports.default = async (account, req, res, { dbId, collId }) => {
    const body = await (0, json_1.default)(req);
    if (!body.id) {
        res.statusCode = 400;
        return { message: "missing id" };
    }
    if (!body.body) {
        res.statusCode = 400;
        return { message: "missing body" };
    }
    const collection = account.database(dbId).collection(collId);
    if (!collection.read()) {
        res.statusCode = 404;
        return {};
    }
    return collection.userDefinedFunctions.upsert(body);
};
