"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_to_regexp_1 = __importDefault(require("path-to-regexp"));
exports.default = (path, opts) => {
    const keys = [];
    const regexp = (0, path_to_regexp_1.default)(path, keys, opts);
    return (pathname) => {
        const m = regexp.exec(pathname);
        if (!m)
            return undefined;
        const params = {};
        for (let i = 0, l = keys.length; i < l; i += 1) {
            const { name } = keys[i];
            params[name] = decodeURIComponent(m[i + 1]);
        }
        return params;
    };
};
