"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const batch_documents_1 = __importDefault(require("./handler/batch-documents"));
const create_collection_1 = __importDefault(require("./handler/create-collection"));
const create_database_1 = __importDefault(require("./handler/create-database"));
const create_document_1 = __importDefault(require("./handler/create-document"));
const create_user_defined_function_1 = __importDefault(require("./handler/create-user-defined-function"));
const delete_collection_1 = __importDefault(require("./handler/delete-collection"));
const delete_document_1 = __importDefault(require("./handler/delete-document"));
const delete_database_1 = __importDefault(require("./handler/delete-database"));
const delete_user_defined_function_1 = __importDefault(require("./handler/delete-user-defined-function"));
const query_collections_1 = __importDefault(require("./handler/query-collections"));
const query_databases_1 = __importDefault(require("./handler/query-databases"));
const query_documents_1 = __importDefault(require("./handler/query-documents"));
const query_user_defined_functions_1 = __importDefault(require("./handler/query-user-defined-functions"));
const read_collection_1 = __importDefault(require("./handler/read-collection"));
const read_collections_1 = __importDefault(require("./handler/read-collections"));
const read_database_1 = __importDefault(require("./handler/read-database"));
const read_databases_1 = __importDefault(require("./handler/read-databases"));
const read_document_1 = __importDefault(require("./handler/read-document"));
const read_documents_1 = __importDefault(require("./handler/read-documents"));
const read_meta_1 = __importDefault(require("./handler/read-meta"));
const read_partition_key_ranges_1 = __importDefault(require("./handler/read-partition-key-ranges"));
const read_user_defined_function_1 = __importDefault(require("./handler/read-user-defined-function"));
const read_user_defined_functions_1 = __importDefault(require("./handler/read-user-defined-functions"));
const replace_collection_1 = __importDefault(require("./handler/replace-collection"));
const replace_document_1 = __importDefault(require("./handler/replace-document"));
const replace_user_defined_function_1 = __importDefault(require("./handler/replace-user-defined-function"));
const upsert_document_1 = __importDefault(require("./handler/upsert-document"));
const upsert_user_defined_function_1 = __importDefault(require("./handler/upsert-user-defined-function"));
const router_1 = __importDefault(require("./router"));
exports.default = (0, router_1.default)({
    DELETE: {
        "/dbs/:dbId/colls/:collId/docs/:docId": delete_document_1.default,
        "/dbs/:dbId/colls/:collId/udfs/:udfId": delete_user_defined_function_1.default,
        "/dbs/:dbId/colls/:collId": delete_collection_1.default,
        "/dbs/:dbId": delete_database_1.default
    },
    GET: {
        "/dbs/:dbId/colls/:collId/docs/:docId": read_document_1.default,
        "/dbs/:dbId/colls/:collId/docs": read_documents_1.default,
        "/dbs/:dbId/colls/:collId/pkranges": read_partition_key_ranges_1.default,
        "/dbs/:dbId/colls/:collId/udfs/:udfId": read_user_defined_function_1.default,
        "/dbs/:dbId/colls/:collId/udfs": read_user_defined_functions_1.default,
        "/dbs/:dbId/colls/:collId": read_collection_1.default,
        "/dbs/:dbId/colls": read_collections_1.default,
        "/dbs/:dbId": read_database_1.default,
        "/dbs": read_databases_1.default,
        "/": read_meta_1.default
    },
    POST: {
        "/dbs/:dbId/colls/:collId/docs": create_document_1.default,
        "/dbs/:dbId/colls/:collId/udfs": create_user_defined_function_1.default,
        "/dbs/:dbId/colls": create_collection_1.default,
        "/dbs": create_database_1.default
    },
    POST_UPSERT: {
        "/dbs/:dbId/colls/:collId/docs": upsert_document_1.default,
        "/dbs/:dbId/colls/:collId/udfs": upsert_user_defined_function_1.default
    },
    POST_QUERY: {
        "/dbs/:dbId/colls/:collId/docs": query_documents_1.default,
        "/dbs/:dbId/colls/:collId/udfs": query_user_defined_functions_1.default,
        "/dbs/:dbId/colls": query_collections_1.default,
        "/dbs": query_databases_1.default
    },
    POST_BATCH: {
        "/dbs/:dbId/colls/:collId/docs": batch_documents_1.default
    },
    PUT: {
        "/dbs/:dbId/colls/:collId/docs/:docId": replace_document_1.default,
        "/dbs/:dbId/colls/:collId/udfs/:udfId": replace_user_defined_function_1.default,
        "/dbs/:dbId/colls/:collId": replace_collection_1.default
    }
});
