export type PartitionValue = any;
export interface JSONArray extends ArrayLike<JSONValue> {
}
export interface JSONObject {
    [key: string]: JSONValue;
}
export type JSONValue = boolean | number | string | null | JSONArray | JSONObject;
export declare const BulkOperationType: {
    Create: string;
    Upsert: string;
    Read: string;
    Delete: string;
    Replace: string;
};
export interface CreateOperationInput {
    operationType?: typeof BulkOperationType.Create;
    resourceBody: JSONObject;
}
export interface UpsertOperationInput {
    partitionKey?: string;
    ifMatch?: string;
    ifNoneMatch?: string;
    operationType?: typeof BulkOperationType.Upsert;
    resourceBody: JSONObject;
}
export interface ReadOperationInput {
    partitionKey?: string;
    operationType?: typeof BulkOperationType.Read;
    id: string;
}
export interface DeleteOperationInput {
    partitionKey?: string;
    ifMatch?: string;
    ifNoneMatch?: string;
    operationType?: typeof BulkOperationType.Delete;
    id: string;
}
export interface ReplaceOperationInput {
    partitionKey?: string;
    ifMatch?: string;
    ifNoneMatch?: string;
    operationType?: typeof BulkOperationType.Replace;
    resourceBody: JSONObject;
}
